Mail archive
alpine-aports

[alpine-aports] [PATCH] main/xdm: store xdm configuration in /etc/X11/xdm

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Mon, 10 Aug 2015 21:29:19 +0200

Configuration files belong in /etc and not in /usr/lib
---
 main/xdm/APKBUILD | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)
diff --git a/main/xdm/APKBUILD b/main/xdm/APKBUILD
index 7d124c3..0322e9c 100644
--- a/main/xdm/APKBUILD
+++ b/main/xdm/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
 pkgname=xdm
 pkgver=1.1.11
-pkgrel=1
+pkgrel=2
 pkgdesc="X Display Manager"
 url="http://xorg.freedesktop.org/"
 arch="all"
_at_@ -23,7 +23,7 @@ source="
 
 _builddir="${srcdir}"/"${pkgname}"-"${pkgver}"
 prepare() {
-	local i
+	local i=
 	cd "$_builddir"
 	for i in $source; do
 		case $i in
_at_@ -41,6 +41,7 @@ build() {
 		--infodir=/usr/share/info \
 		--localstatedir=/var \
 		--enable-ipv6 \
+		--with-xdmconfigdir=/etc/X11/${pkgname} \
 		--with-pam \
 		|| return 1
 	make || return 1
_at_@ -48,21 +49,23 @@ build() {
 
 package() {
 	cd "$_builddir"
+
 	make DESTDIR="$pkgdir" install || return 1
 	rm -f "$pkgdir"/usr/lib/X11/xdm/*.la
+
 	install -D -m755 "$srcdir"/${pkgname}.initd \
 		"$pkgdir"/etc/init.d/${pkgname} || return 1
 	install -D -m644 "$srcdir"/Xresources.alpinelinux \
-		"$pkgdir"/usr/lib/X11/${pkgname}/Xresources.alpinelinux \
-			|| return 1
+		"$pkgdir"/etc/X11/${pkgname}/Xresources.alpinelinux \
+		|| return 1
 	install -D -m644 "$srcdir"/Xresources.alpinelinux_old \
-		"$pkgdir"/usr/lib/X11/${pkgname}/Xresources.alpinelinux_old \
-			|| return 1
+		"$pkgdir"/etc/X11/${pkgname}/Xresources.alpinelinux_old \
+		|| return 1
 	install -D -m644 "$srcdir"/alpinelinux_old_blue_black.xpm \
-		"$pkgdir"/usr/lib/X11/${pkgname}/pixmaps/alpinelinux_old_blue_black.xpm \
+		"$pkgdir"/etc/X11/${pkgname}/pixmaps/alpinelinux_old_blue_black.xpm \
 		|| return 1
 	install -D -m644 "$srcdir"/alpinelinux_white_blue.xpm \
-		"$pkgdir"/usr/lib/X11/${pkgname}/pixmaps/alpinelinux_white_blue.xpm \
+		"$pkgdir"/etc/X11/${pkgname}/pixmaps/alpinelinux_white_blue.xpm \
 		|| return 1
 }
 
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Aug 10 2015 - 21:29:19 GMT